package net.sf.snmpadaptor4j.example;

/**
 * Startup class for run the example.
 * @author <a href="http://fr.linkedin.com/in/jpminetti/">Jean-Philippe MINETTI</a>
 */
public final class Startup {

	/**
	 * Main function.
	 * @param args Arguments.
	 * @throws Exception Exception if an error occurred.
	 */
	public static void main (final String[] args) throws Exception {
		final Jmx jmx = new Jmx();
		final SnmpTrapManager snmpManager = new SnmpTrapManager();
		snmpManager.start();
		jmx.start();
		try {
			System.out.println("JMX is started.");
			System.out.println("You can start jconsole for access to MBeans.");
			System.out.println("Please, type \"jconsole\" in another console and connect to \"" + Startup.class.getName() + "\" (local process)");
			int key;
			do {
				System.out.println();
				System.out.println("1 - Send a notification integer32AsInteger.down");
				System.out.println("2 - Send a notification integer32AsInteger.up");
				System.out.println();
				System.out.println("3 - Send a notification integer32AsByte.low");
				System.out.println("4 - Send a notification integer32AsByte.middle");
				System.out.println("5 - Send a notification integer32AsByte.high");
				System.out.println();
				System.out.println("Q - Quit");
				while (System.in.available() == 0) {
					Thread.sleep(500);
				}
				key = System.in.read();
				while (System.in.available() > 0) {
					System.in.read();
				}
				if (key == 49) {
					jmx.sendNotificationOnInteger32AsIntegerDown();
				}
				else if (key == 50) {
					jmx.sendNotificationOnInteger32AsIntegerUp();
				}
				else if (key == 51) {
					jmx.sendNotificationOnInteger32AsByteLow();
				}
				else if (key == 52) {
					jmx.sendNotificationOnInteger32AsByteMiddle();
				}
				else if (key == 53) {
					jmx.sendNotificationOnInteger32AsByteHigh();
				}
			}
			while ((key != 113) && (key != 81));
			System.out.println("Bye.");
		}
		finally {
			jmx.stop();
			snmpManager.stop();
		}
	}

}